
GammaLib - Bug #3440

Make sure that the spatial model value or normalisation is always taken correctly into account

11/07/2020 02:52 PM - Knödlseder Jürgen

Status: Closed Start date: 11/07/2020

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0.0   

Description

It seems that the spatial model value is not always taken into account, for example when simulation photons from a diffuse cube

model.

All spatial model methods should be checked to verify that the spatial model value is correctly taken into account. The same holds for

the GSkyModel::flux() and GSkyModel::eflux() methods.

Related issues:

Related to GammaLib - Action # 3439: Add GSkyModel::flux() method that return... Closed 11/07/2020

History

#1 - 11/07/2020 03:38 PM - Knödlseder Jürgen

- Related to Action #3439: Add GSkyModel::flux() method that returns correct flux for diffuse cube models added

#2 - 03/15/2022 12:04 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 50

I checked the following models by inspecting the code:

GModelSpatialDiffuseConst

GModelSpatialDiffuseCube

GModelSpatialDiffuseMap

The following models have no normalisation parameter:

GModelSpatialEllipticalDisk

GModelSpatialEllipticalGauss

GModelSpatialEllipticalGeneralGauss

GModelSpatialPointSource

GModelSpatialRadialDisk

GModelSpatialRadialGauss

GModelSpatialRadialGeneralGauss

GModelSpatialRadialProfileDMBurkert

GModelSpatialRadialProfileDMEinasto

GModelSpatialRadialProfileDMZhao

GModelSpatialRadialProfileGauss

GModelSpatialRadialRing

GModelSpatialRadialShell
#3 - 03/15/2022 12:04 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 50 to 100
